hMailServer mod 0.1, Which Version of PHP5?

Use this forum if you have problems with a hMailServer script, such as hMailServer WebAdmin or code in an event handler.
Post Reply
jhsieh64
New user
New user
Posts: 9
Joined: 2005-07-13 02:50

hMailServer mod 0.1, Which Version of PHP5?

Post by jhsieh64 » 2005-07-13 03:04

Hello,
I'm trying to setup SquirrelMail For hMailServer mod 0.1.
There are few items not working with my setup:
1. the folder reflesh is not working.
2. the Vacation / Autoresponder gives blank page on the right hand side.
3. the Change Password also gives blank page and not updating the password.

My setup is:

Apache 1.3.33 Win32
hMailServer 4.0 - Build 125
php-5.0.4 Win32
all on the same machine

I'm suspecting the problem is due to using a imcompatible version of php.
But I wonder which version of php 5 is supported?
Thanks much!

cmurphy54
Senior user
Senior user
Posts: 550
Joined: 2004-09-25 22:11
Location: Atlanta, GA
Contact:

Post by cmurphy54 » 2005-07-13 05:05

No version of PHP 5 is supported in the stable squirrelmail build.

See this thread for an alternate mod (which doesn't really solve your issue out of the box) and read about everyone else who has similar issues. ;) One of the posts has instructions on how to mod the latest SM code to use the plugins for hMailServer.

http://www.hmailserver.com/forum/viewtopic.php?t=1657

jhsieh64
New user
New user
Posts: 9
Joined: 2005-07-13 02:50

Post by jhsieh64 » 2005-07-13 15:03

So, if I want to use both hMailServer_mod-0.1 and PHPWebAdmin in the same box ( the lastest php4.4.0 seems to crash too), which version/release of php is recommanded ?

cmurphy54
Senior user
Senior user
Posts: 550
Joined: 2004-09-25 22:11
Location: Atlanta, GA
Contact:

Post by cmurphy54 » 2005-07-13 16:17

I have 4.3.11 on my system and SM works fine. I don't use PHPWebAdmin, but it should work fine with that version too I believe.

I haven't upgraded to 4.4 yet, but since 4.4 is just a maintenance release (no new features), this might point more towards an error in your setup/config as opposed to the mod not working with it.

Has anyone else successfully installed 4.4 and gotten it working with SM?

User avatar
FAWTS
Normal user
Normal user
Posts: 74
Joined: 2005-06-18 15:25
Location: Paris
Contact:

Post by FAWTS » 2005-07-16 10:15

PHP 4.3.11 works great for PHPWebAdmin and SM. I haven't upgrade to PHP 4.4.0 yet as they explain that it corrects a bug that even the hosts could not see...

Maybe we should wait PHP 4.4.1 that will correct the bugs of thet 4.4.0... :?:
Apache 1.3.33 PHP Version 4.4 hMailServer 4.1-B136 OS : Win XP SP2 AV : ClamAV 0.86.1

Post Reply